Hand the accepted delivery to the field-service system (a request, once)
POST
/v1/workspace/handoffs/{handoff_id}/service-jobs
const url = 'https://api.vocapable.com/v1/workspace/handoffs/example/service-jobs';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"installation_id":"example","client_external_id":"example","property_external_id":"example","service_address":{"street1":"example","street2":"example","city":"example","province":"example","postal_code":"example","country":"example"},"preferred_start_note":"example","reviewed":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.vocapable.com/v1/workspace/handoffs/example/service-jobs \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "installation_id": "example", "client_external_id": "example", "property_external_id": "example", "service_address": { "street1": "example", "street2": "example", "city": "example", "province": "example", "postal_code": "example", "country": "example" }, "preferred_start_note": "example", "reviewed": true }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”handoff_id
required
Handoff Id
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
WorkspaceServiceJobCreate
object
installation_id
required
Installation Id
string
service_address
Any of:
WorkspaceServiceAddress
null
reviewed
required
Reviewed
boolean
Examplegenerated
{ "installation_id": "example", "client_external_id": "example", "property_external_id": "example", "service_address": { "street1": "example", "street2": "example", "city": "example", "province": "example", "postal_code": "example", "country": "example" }, "preferred_start_note": "example", "reviewed": true}Responses
Section titled “Responses”Successful Response
Media typeapplication/json
WorkspaceServiceJob
object
id
required
Id
string
handoff_id
required
Handoff Id
string
installation_id
required
Installation Id
string
provider
required
Provider
string
status
required
Status
string
delivery
required
visits
required
crew_unconfirmed
required
Crew Unconfirmed
boolean
revision
required
Revision
integer
created_at
required
Created At
string format: date-time
Example
{ "provider": "jobber", "status": "queued", "delivery": { "state": "not_started" }}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}